/* You can add global styles to this file, and also import other style files */

html,
body {
  height: 100%;
}
body {
  margin: 0;
  font-family: Roboto, 'Helvetica Neue', sans-serif;
}

@import '~@angular/material/theming';
@import 'assets/task.component.scss-theme.scss';
@import 'assets/base.scss-theme.scss';
@import 'assets/scrum-list.scss-theme.scss';

@include mat-core();

@mixin custom-components-theme($theme) {
  @include task-theme($theme);
  @include base-theme($theme);
  @include scrum-list($theme);
}

$primary: mat-palette($mat-indigo);
$accent: mat-palette($mat-pink, A200, A100, A400);
$light-theme: mat-light-theme($primary, $accent);

.app__theme_default {
  @include angular-material-theme($light-theme);
  @include custom-components-theme($light-theme);
}

// Define an alternate dark theme.
$dark-primary: mat-palette($mat-blue-grey);
$dark-accent: mat-palette($mat-amber, A200, A100, A400);
$dark-warn: mat-palette($mat-deep-orange);
$dark-theme: mat-dark-theme($dark-primary, $dark-accent, $dark-warn);

.app__theme_dark-theme {
  @include angular-material-theme($dark-theme);
  @include custom-components-theme($dark-theme);
}
